#include <stdio.h>
#include <stdlib.h>

    long long int a[200000];
    double p[200000];
    double zarada[200000];

int main()
{
    long long int n;

    scanf("%lli",&n);
    int i;

    for(i=0;i<n;i++){
        scanf("%lli",&a[i]);
        scanf("%lf",&p[i]);
        p[i] = p[i] / 100;
    }

    int j;
    double resenje;

    for(i=0;i<n;i++){
        for(j=0;j<n;j++){
            if(p[i] > p[j]){
                continue;
            }
            else{
            zarada[i] += a[j] * p[i];
            }
        }
        if(i == 0){
            resenje = zarada[0];
        }
        if(zarada[i] > resenje){
            resenje = zarada[i];
        }
    }

    printf("%lf",resenje);



    return 0;
}